Pages de statut
GET https://uptime4.com/api/status-pages/
curl --request GET \
--url 'https://uptime4.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne | La chaîne de recherche. |
| search_by | Optionnel Chaîne | Quel champ recherchez-vous ? Les valeurs autorisées sont : name. |
| is_enabled | Optionnel Booléen | |
| project_id | Optionnel Entier | |
| domain_id | Optionnel Entier | |
| datetime_field | Optionnel Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Optionnel Chaîne | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optionnel Chaîne | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optionnel Chaîne | Quel champ pour trier les résultats. Les valeurs autorisées sont : status_page_id, datetime, last_datetime, name, pageviews. |
| order_type | Optionnel Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant. |
| page | Optionnel Entier | Le numéro de page dont vous souhaitez obtenir les résultats. Par défaut, c'est 1. |
| results_per_page | Optionnel Entier | Combien de résultats souhaitez-vous par page ? Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. Par défaut, c'est 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime4.com/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": "",
"opengraph_url": "",
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-08-17 06:29:46",
"last_datetime": "2026-08-17 06:29:46"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/status-pages?page=1",
"last": "https://uptime4.com/api/status-pages?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/status-pages?page=1"
}
}
GET https://uptime4.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime4.com/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": "",
"opengraph_url": "",
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-08-17 06:29:46",
"last_datetime": "2026-08-17 06:29:46"
}
}
POST https://uptime4.com/api/status-pages
| Paramètres | Détails | Description |
|---|---|---|
| name | Requis Chaîne | - |
| description | Optionnel Chaîne | - |
| url | Optionnel Chaîne | - |
| domain_id | Optionnel Entier | - |
| is_main_status_page | Optionnel Booléen | - |
| monitors_ids | Optionnel Tableau | - |
| heartbeats_ids | Optionnel Tableau | - |
curl --request POST \
--url 'https://uptime4.com/api/status-pages' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'description=This is just a simple description.' \
--form 'monitors_ids[]=1' \
--form 'heartbeats_ids[]=1' \
--url 'https://uptime4.com/api/status-pages' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'description=This is just a simple description.' \
--form 'monitors_ids[]=1' \
--form 'heartbeats_ids[]=1' \
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/status-pages/{status_page_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Optionnel Chaîne | - |
| description | Optionnel Chaîne | - |
| url | Optionnel Chaîne | - |
| timezone | Optionnel Chaîne | - |
| password | Optionnel Chaîne | - |
| title | Optionnel Chaîne | - |
| meta_description | Optionnel Chaîne | - |
| meta_keywords | Optionnel Chaîne | - |
| language_code | Optionnel Chaîne | - |
| font_family | Optionnel Chaîne | - |
| theme | Optionnel Chaîne | - |
| custom_css | Optionnel Chaîne | - |
| custom_js | Optionnel Chaîne | - |
| domain_id | Optionnel Entier | - |
| is_main_status_page | Optionnel Booléen | - |
| project_id | Optionnel Entier | - |
| font_size | Optionnel Entier | - |
| auto_refresh | Optionnel Entier | - |
| pwa_display_install_bar_delay | Optionnel Entier | - |
| monitors_ids | Optionnel Tableau | - |
| heartbeats_ids | Optionnel Tableau | - |
| socials | Optionnel Tableau | Valeurs autorisées : socials[facebook], socials[instagram], socials[x], socials[threads], socials[email], socials[website] |
| is_enabled | Optionnel Booléen | - |
| is_se_visible | Optionnel Booléen | - |
| is_removed_branding | Optionnel Booléen | - |
| display_share_buttons | Optionnel Booléen | - |
| display_header_text | Optionnel Booléen | - |
| pwa_is_enabled | Optionnel Booléen | - |
| pwa_display_install_bar | Optionnel Booléen | - |
| logo | Optionnel Fichier | - |
| logo_remove | Optionnel Booléen | - |
| favicon | Optionnel Fichier | - |
| favicon_remove | Optionnel Booléen | - |
| opengraph | Optionnel Fichier | - |
| opengraph_remove | Optionnel Booléen | - |
| pwa_icon | Optionnel Fichier | - |
| pwa_icon_remove | Optionnel Booléen | - |
| pwa_theme_color | Optionnel Chaîne | - |
curl --request POST \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/status-pages/{status_page_id}
curl --request DELETE \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"heartbeats_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime4.com/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"settings": {
"title": "Example",
"meta_description": "",
"meta_keywords": "",
"language_code": "en",
"font_family": "default",
"font_size": 16,
"display_share_buttons": true,
"display_header_text": true,
"auto_refresh": 0,
"pwa_file_name": null,
"pwa_is_enabled": false,
"pwa_icon": null,
"pwa_display_install_bar": false,
"pwa_display_install_bar_delay": 3,
"pwa_theme_color": "#000000"
},
"socials": {
"facebook": "",
"instagram": "",
"x": "",
"threads": "",
"email": "",
"website": ""
},
"logo_url": null,
"favicon_url": null,
"opengraph_url": null,
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 0,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-08-17 06:29:46",
"last_datetime": "2026-08-17 06:29:46"
}
}